List
curl --request GET \
--url https://api.integrations.commenda.io/v4/core/companies \
--header 'api_key: <api-key>'import requests
url = "https://api.integrations.commenda.io/v4/core/companies"
headers = {"api_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_key: '<api-key>'}};
fetch('https://api.integrations.commenda.io/v4/core/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.integrations.commenda.io/v4/core/companies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"api_key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.integrations.commenda.io/v4/core/companies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.integrations.commenda.io/v4/core/companies")
.header("api_key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.integrations.commenda.io/v4/core/companies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api_key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"companies": [
{
"id": 123,
"inviteLinkId": "<string>",
"companyId": 123,
"companyName": "<string>",
"integration": "BUSY",
"integrationCategory": "ACCOUNTING",
"integrationEntityId": "<string>",
"connectionStatus": "HEALTHY",
"syncStatus": "IDLE",
"hasActiveSync": true,
"lastSynced": "2023-11-07T05:31:56Z",
"syncFrom": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"dataModelConfigs": [
{
"dataModel": "ACCOUNT",
"category": "ACCOUNTING",
"enabled": true,
"scopeAccess": {
"READ": true,
"CREATE": true,
"UPDATE": true,
"DELETE": true
},
"frequency": "WEEKLY",
"interval": 123,
"syncFrom": "<string>",
"isOverridden": true,
"isChild": true
}
],
"connection": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"companyId": 123,
"organisationId": 123,
"integrationType": "BUSY",
"integrationEntityId": "<string>",
"timezone": "<string>",
"category": "ACCOUNTING",
"status": "HEALTHY",
"syncStatus": "IDLE",
"syncResumeAt": "2023-11-07T05:31:56Z",
"lastSynced": "2023-11-07T05:31:56Z",
"variables": {}
}
}
],
"count": 123,
"next": 123
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"status_code": 400,
"message": "companyId must be a positive integer",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z",
"error_code": "<string>",
"retry_after_seconds": 60,
"retry_at": "2026-09-03T04:02:00.000Z",
"field": "<string>",
"platform_error": {}
}
}{
"error": {
"status_code": 400,
"message": "companyId must be a positive integer",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z",
"error_code": "<string>",
"retry_after_seconds": 60,
"retry_at": "2026-09-03T04:02:00.000Z",
"field": "<string>",
"platform_error": {}
}
}Companies
List
Returns a cursor-paginated list of the organisation’s companies.
GET
/
v4
/
core
/
companies
List
curl --request GET \
--url https://api.integrations.commenda.io/v4/core/companies \
--header 'api_key: <api-key>'import requests
url = "https://api.integrations.commenda.io/v4/core/companies"
headers = {"api_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_key: '<api-key>'}};
fetch('https://api.integrations.commenda.io/v4/core/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.integrations.commenda.io/v4/core/companies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"api_key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.integrations.commenda.io/v4/core/companies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.integrations.commenda.io/v4/core/companies")
.header("api_key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.integrations.commenda.io/v4/core/companies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api_key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"companies": [
{
"id": 123,
"inviteLinkId": "<string>",
"companyId": 123,
"companyName": "<string>",
"integration": "BUSY",
"integrationCategory": "ACCOUNTING",
"integrationEntityId": "<string>",
"connectionStatus": "HEALTHY",
"syncStatus": "IDLE",
"hasActiveSync": true,
"lastSynced": "2023-11-07T05:31:56Z",
"syncFrom": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"dataModelConfigs": [
{
"dataModel": "ACCOUNT",
"category": "ACCOUNTING",
"enabled": true,
"scopeAccess": {
"READ": true,
"CREATE": true,
"UPDATE": true,
"DELETE": true
},
"frequency": "WEEKLY",
"interval": 123,
"syncFrom": "<string>",
"isOverridden": true,
"isChild": true
}
],
"connection": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"companyId": 123,
"organisationId": 123,
"integrationType": "BUSY",
"integrationEntityId": "<string>",
"timezone": "<string>",
"category": "ACCOUNTING",
"status": "HEALTHY",
"syncStatus": "IDLE",
"syncResumeAt": "2023-11-07T05:31:56Z",
"lastSynced": "2023-11-07T05:31:56Z",
"variables": {}
}
}
],
"count": 123,
"next": 123
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"status_code": 400,
"message": "companyId must be a positive integer",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z",
"error_code": "<string>",
"retry_after_seconds": 60,
"retry_at": "2026-09-03T04:02:00.000Z",
"field": "<string>",
"platform_error": {}
}
}{
"error": {
"status_code": 400,
"message": "companyId must be a positive integer",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z",
"error_code": "<string>",
"retry_after_seconds": 60,
"retry_at": "2026-09-03T04:02:00.000Z",
"field": "<string>",
"platform_error": {}
}
}Authorizations
Your Commenda Integrations API key, sent in the api_key header.
Query Parameters
Required range:
1 <= x <= 100Example:
"Acme"
Required range:
x >= 1Available options:
PENDING, HEALTHY, DISCONNECTED, EXPIRED, RATE_LIMIT_EXCEEDED Available options:
BUSY, CAMPFIRE, CLEARBOOKS, FREEAGENT, FRESHBOOKS, KASHFLOW, MEKARI_JURNAL, MS_DYNAMICS_365, MS_DYNAMICS_365_FO, MYOB_BUSINESS, NETSUITE, ODOO_ACCOUNTING, QOYOD, QUICKBOOKS, QUICKBOOKS_SANDBOX, ROOTFI_SANDBOX, SAGE_CLOUD_ACCOUNTING, SAGE_ZA_CLOUD_ACCOUNTING, SAGE_INTACCT, TALLY, WAFEQ, WAVE, XERO, ZOHO_BOOKS, PUZZLE_SANDBOX, PUZZLE, RILLET, RILLET_SANDBOX, AMAZON, BIG_COMMERCE, SHOPIFY, SQUARESPACE, WIX, WOO_COMMERCE, GOOGLE_PLAYSTORE, CHARGEBEE, MOLLIE, PAYPAL, PAYPAL_SANDBOX, RAZORPAY, SQUARE, SQUARE_SANDBOX, STRIPE, STRIPE_TEST, STRIPE_SANDBOX, ZOHO_INVOICE, PADDLE, PADDLE_SANDBOX, HUBSPOT, PIPEDRIVE, SALES_FORCE, ZOHO_CRM, GUSTO Available options:
ACCOUNTING, PAYMENTS, ECOMMERCE, CRM, HRIS Available options:
IDLE, SYNCING